Control docker version within stack 98/5298/2
authorFatih Degirmenci <fatih.degirmenci@est.tech>
Tue, 7 Jul 2020 06:48:24 +0000 (06:48 +0000)
committerFatih Degirmenci <fatih.degirmenci@est.tech>
Tue, 7 Jul 2020 16:04:23 +0000 (16:04 +0000)
Docker version was originally controlled within engine repository
but it is more appropriate to control it within the stack as the
version requirements could be different across the stacks. See the
dependent change for how it was controlled before.

Depends-On: Id5f2c72e35bba4d5ab413f7b19119330540f5674
Change-Id: I2720d6b6ddcde0f742f527e3f86b3085f13aaeda

playbooks/roles/package/defaults/main.yaml
vars/kubernetes.yaml

index 44f045e..136ae2b 100644 (file)
@@ -190,11 +190,6 @@ repositories:
     dest: "hwconfig"
     version: "{{ lookup('env', 'NORDIX_HWCONFIG_VERSION') | default('master', true) }}"
     refspec: "{{ lookup('env', 'NORDIX_HWCONFIG_REFSPEC') | default(omit) }}"
-  test:
-    repo: "https://gerrit.nordix.org/infra/test.git"
-    dest: "test"
-    version: "{{ lookup('env', 'NORDIX_TEST_VERSION') | default('master', true) }}"
-    refspec: "{{ lookup('env', 'NORDIX_TEST_REFSPEC') | default(omit) }}"
   # NOTE (fdegir): Engine provisioner and installer repos will be prepended with engine
   # in order to prevent name clashes during packaging
   # NOTE (fdegir): stack git details are inherited from engine/inventory/group_vars/all/sdf.yaml
index 5accc01..905bb35 100644 (file)
@@ -55,6 +55,17 @@ scenarios:
   - k8-multus-plugins
   - k8-weave-nofeature
 
+# -------------------------------------------------------------------------------
+# Nordix: Docker version
+# -------------------------------------------------------------------------------
+# NOTE (fdegir): versions of docker as of 13.02.2020 matching to what Kubespray uses
+# Please note that docker-ce version is configured to be overrideable since some scenarios
+# require different docker versions
+docker_ce_version: "{{ lookup('env', 'DOCKER_CE_VERSION') | default('5:18.09.9~3-0~ubuntu-bionic', true) }}"
+docker_ce_cli_version: "{{ docker_ce_version }}"
+docker_registry_version: "2.7.1"
+containerd_io_version: "1.2.6-3"
+
 # -------------------------------------------------------------------------------
 # Kubernetes: Kubernetes and kubectl versions
 # -------------------------------------------------------------------------------